# Generated from rails_data_fix-0.1.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rails_data_fix

Name: rubygem-%{gem_name}
Version: 0.1.5
Release: 1%{?dist}
Summary: Manage your data maintenance tasks like they were migrations
License: MIT
URL: https://ict4g.net/gitea/haoyun/data_fix.git
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4.0
BuildArch: noarch

%description
This gem provides a set of commands to manage data maintenance scripts of a
Rails application like migrations.  
Each script has a timestamped name; a table in the DBs keeps track of
the scripts which have been run.  Similar to migrations you can run
multiple scripts in the same session.  DataFix keeps track of which
scripts have already run.
We use it at Shair.Tech to simplify testing of migration scripts.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.org
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.org
%{gem_instdir}/Rakefile
%{gem_instdir}/data_fix.gemspec

%changelog
* Mon Feb 14 2022 mockbuilder - 0.1.5-1
- Initial package
